Debian Bug report logs - #673625
cdebootstrap: Does not support InRelease files

version graph

Package: cdebootstrap; Maintainer for cdebootstrap is Bastian Blank <waldi@debian.org>; Source for cdebootstrap is src:cdebootstrap.

Reported by: Joerg Jaspert <joerg@debian.org>

Date: Sun, 20 May 2012 10:27:02 UTC

Severity: important

Tags: patch

Found in version cdebootstrap/0.5.8

Fixed in version cdebootstrap/0.5.9

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#673625; Package cdebootstrap. (Sun, 20 May 2012 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. (Sun, 20 May 2012 10:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdebootstrap: Does not support InRelease files
Date: Sun, 20 May 2012 12:23:37 +0200
[Message part 1 (text/plain, inline)]
Package: cdebootstrap
Version: 0.5.8
Severity: important

Dear Maintainer,

cdebootstrap currently does not support the use of InRelease files,
instead of the old Release/Release.gpg combination.

Please enable the InRelease files, as we want to drop the old way from
the main archive, short after wheezy.

Thanks.

-- 
bye, Joerg
<holger> Ganneff: Im confident in your ability to create flamewars.
[Message part 2 (application/pgp-signature, inline)]

Added blocking bug(s) of 673625: 674060 Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Tue, 22 May 2012 19:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#673625; Package cdebootstrap. (Thu, 24 May 2012 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. (Thu, 24 May 2012 16:18:03 GMT) Full text and rfc822 format available.

Message #12 received at 673625@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Joerg Jaspert <joerg@debian.org>, 673625@bugs.debian.org
Subject: Re: Bug#673625: cdebootstrap: Does not support InRelease files
Date: Thu, 24 May 2012 18:15:08 +0200
[Message part 1 (text/plain, inline)]
tags 673625 + patch
thanks

Joerg Jaspert <joerg@debian.org> wrote:
>
> cdebootstrap currently does not support the use of InRelease files,
> instead of the old Release/Release.gpg combination.
>
> Please enable the InRelease files, as we want to drop the old way from
> the main archive, short after wheezy.
>

Please find attached a patch that adds support for InRelease file to
cdebootstrap. It needs a patched libdebian-installer (See 674060 for
the needed patch). Using this patch, I've been able to create Squeeze
and Sid chroots. I hit #671177 initially but the proposed change
(i.e. "-o Acquire::Languages=none") lets me create a usable chroot.

Regards,

-- 
Mehdi Dogguy

[0001-Add-support-for-InRelease-files-Closes-673625.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Thu, 24 May 2012 16:18:05 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Fri, 01 Jun 2012 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to Joerg Jaspert <joerg@debian.org>:
Bug acknowledged by developer. (Fri, 01 Jun 2012 18:51:08 GMT) Full text and rfc822 format available.

Message #19 received at 673625-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 673625-close@bugs.debian.org
Subject: Bug#673625: fixed in cdebootstrap 0.5.9
Date: Fri, 01 Jun 2012 18:47:22 +0000
Source: cdebootstrap
Source-Version: 0.5.9

We believe that the bug you reported is fixed in the latest version of
cdebootstrap, which is due to be installed in the Debian FTP archive:

cdebootstrap-static_0.5.9_amd64.deb
  to main/c/cdebootstrap/cdebootstrap-static_0.5.9_amd64.deb
cdebootstrap-udeb_0.5.9_amd64.udeb
  to main/c/cdebootstrap/cdebootstrap-udeb_0.5.9_amd64.udeb
cdebootstrap_0.5.9.dsc
  to main/c/cdebootstrap/cdebootstrap_0.5.9.dsc
cdebootstrap_0.5.9.tar.gz
  to main/c/cdebootstrap/cdebootstrap_0.5.9.tar.gz
cdebootstrap_0.5.9_amd64.deb
  to main/c/cdebootstrap/cdebootstrap_0.5.9_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673625@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated cdebootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Jun 2012 20:40:30 +0200
Source: cdebootstrap
Binary: cdebootstrap cdebootstrap-static cdebootstrap-udeb
Architecture: source amd64
Version: 0.5.9
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 cdebootstrap - Bootstrap a Debian system
 cdebootstrap-static - Bootstrap a Debian system - static binary
 cdebootstrap-udeb - Bootstrap a Debian system - udeb (udeb)
Closes: 671177 673625
Changes: 
 cdebootstrap (0.5.9) unstable; urgency=low
 .
   * Add support for InRelease files. (closes: #673625)
   * Don't try to find language files during bootstrap. (closes: #671177)
Checksums-Sha1: 
 1aa12e775b24f51821f8e8636a1328bb58b73c2f 1020 cdebootstrap_0.5.9.dsc
 4361bb7cceb90580a3d2111e406ffac939bd2e2e 160493 cdebootstrap_0.5.9.tar.gz
 818dee4c215746e440be6ad2693d647275b93d82 34394 cdebootstrap_0.5.9_amd64.deb
 4c9a411bc7dd8d729cf8c428028e739dc35b75ce 799558 cdebootstrap-static_0.5.9_amd64.deb
 e91b86c759ea5a5bf2e070526c3bb68d39276e12 18746 cdebootstrap-udeb_0.5.9_amd64.udeb
Checksums-Sha256: 
 fafb408860bda1a6c5d48166fe1321c8527b817e140db01d2f6f1613a8b6a872 1020 cdebootstrap_0.5.9.dsc
 34344a822565e7155b0e60014eeda5b5b61031eb621a5253747eb3e51fbb0d71 160493 cdebootstrap_0.5.9.tar.gz
 fb05abc5a8246a04a9c803ed9bbfe8b2273fdd05dbd8a2b55f0dbcf4bdbe8a65 34394 cdebootstrap_0.5.9_amd64.deb
 7532c20e2602a1cd830266e9a29c4d50b9b49e03844199bdf372d045ed57668f 799558 cdebootstrap-static_0.5.9_amd64.deb
 fa42240c720ced4d253c376e120fa4e1f8663c0a1aa08ffff67e9e4c5079322b 18746 cdebootstrap-udeb_0.5.9_amd64.udeb
Files: 
 649b4dda185c8aa0241aec9126269377 1020 admin optional cdebootstrap_0.5.9.dsc
 e1099ab83e9f3c4539b9162d8ecb194f 160493 admin optional cdebootstrap_0.5.9.tar.gz
 5fd19f39bb905fad6600c3b71a86f8be 34394 admin optional cdebootstrap_0.5.9_amd64.deb
 0627c508e441a455e7acbbc3bc416dc3 799558 admin optional cdebootstrap-static_0.5.9_amd64.deb
 1e172ae006536d53f860e073484d816b 18746 debian-installer optional cdebootstrap-udeb_0.5.9_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/JDWgACgkQLkAIIn9ODhFM0QCeKbkcYylERrwHFiYzOInU6Dr4
oXMAnifVRwS5pRqenS1O6mmcVZ44Fmct
=Cz1/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:37:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:56:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.